Удалить пользовательское поле счетов crm.invoice.userfield.delete
Scope:
crmКто может выполнять метод: любой пользователь
DEPRECATED
Развитие метода остановлено. Используйте Универсальные методы для счетов.
Метод удаляет пользовательское поле счетов.
Параметры метода
Обязательные параметры отмечены *
|
Название |
Описание |
|
id |
Идентификатор пользовательского поля |
Примеры кода
Как использовать примеры в документации
cURL (Webhook)
cURL (OAuth)
JS
PHP
BX24.js
PHP CRest
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**"}' \
https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.invoice.userfield.delete
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id": "**put_id_here**", "auth": "**put_access_token_here**"}' \
https://**put_your_bitrix24_address**/rest/crm.invoice.userfield.delete
try
{
const id = prompt("Введите ID");
const response = await $b24.callMethod(
"crm.invoice.userfield.delete",
{id: id}
);
const result = response.getData().result;
if (result.error())
{
console.error(result.error());
}
else
{
console.info(result);
}
}
catch( error )
{
console.error('Error:', error);
}
$id = readline("Введите ID");
try {
$response = $b24Service
->core
->call(
'crm.invoice.userfield.delete',
[
'id' => $id,
]
);
$result = $response
->getResponseData()
->getResult();
if ($result->error()) {
error_log($result->error());
} else {
echo 'Success: ' . print_r($result->data(), true);
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error deleting user field: ' . $e->getMessage();
}
var id = prompt("Введите ID");
BX24.callMethod(
"crm.invoice.userfield.delete",
{id: id},
function (result)
{
if (result.error())
console.error(result.error());
else
console.info(result.data());
}
);
require_once('crest.php');
$id = $_REQUEST['id']; // Assuming ID is passed as a request parameter
$result = CRest::call(
'crm.invoice.userfield.delete',
['id' => $id]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
Скопировано